zipmerge_0.11.2-1.2_amd64.deb


Advertisement

Description

zipmerge - merge zip archives

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name zipmerge
Package version 0.11.2
Package release 1.2
Package architecture amd64
Package type deb
Installed size 52 B
Download size 7.83 KB
Official Mirror ftp.br.debian.org
zipmerge merges a source zip archives into a target zip archive.
By default, files in the source zip archives overwrite existing files of the
same name in the target zip archive.

Alternatives

Package Version Architecture Repository
zipmerge_0.11.2-1.2_i386.deb 0.11.2 i386 Debian Main
zipmerge - - -

Requires

Name Value
libc6 >= 2.3.4
libzip2 >= 0.10
zlib1g >= 1:1.1.4

Download

Type URL
Binary Package zipmerge_0.11.2-1.2_amd64.deb
Source Package libzip

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install zipmerge deb package:
    # sudo apt-get install zipmerge

Files

Path
/usr/bin/zipmerge
/usr/share/doc/zipmerge/changelog.Debian.gz
/usr/share/doc/zipmerge/copyright
/usr/share/man/man1/zipmerge.1.gz

Changelog

2015-03-20 - Salvatore Bonaccorso <carnil@debian.org>
libzip (0.11.2-1.2) unstable; urgency=high
* Non-maintainer upload.
* Add CVE-2015-2331.patch patch.
CVE-2015-2331: ZIP integer overflow leads to writing past heap boundary.
(Closes: #780756)
2014-08-06 - John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
libzip (0.11.2-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Put a symlink to zipconf.h on the default search path, so that
packages that do not use pkg-config to locate libzip will not FTBFS.
Thanks to Simon McVittie (Closes: #739308).
2014-02-09 - Fathi Boudra <fabo@debian.org>
libzip (0.11.2-1) unstable; urgency=medium
* New upstream release (Closes: #734388).
* Remove patches:
- fix_open_nonarchive_test.patch - fixed upstream
- fix_zipconf_path.patch - fixed upstream
- fix_broken_decrypt.patch - fixed upstream
- fix_autotools_tests.diff - stolen upstream
* Update debian/control:
- add unzip to Build-Depends.
- bump compat to 9
* Update *.install: multiarch paths.
* Update libzip2 symbols file.
2013-11-03 - gregor herrmann <gregoa@debian.org>
libzip (0.10.1-1.2) unstable; urgency=low
* Non-maintainer upload.
* Fix "FTBFS: dh_auto_test: make -j1 check returned exit code 2":
add patch fix_autotools_tests.diff (autotools test fix, backported from
upstream 0.11.1), taken from Ubuntu package. Thanks, Bjoern Michaelsen.
(Closes: #713393, LP: #1197023)
2012-07-07 - Luk Claes <luk@debian.org>
libzip (0.10.1-1.1) unstable; urgency=low
* Non-maintainer upload.
* Re-enable tests
* Fix broken decrypt on amd64 (Closes: #665225).
2012-05-21 - Fathi Boudra <fabo@debian.org>
libzip (0.10.1-1) unstable; urgency=low
* New upstream release: fix CVE-2012-1162 and CVE-2012-1163
Incorrect loop construct and numeric overflow. (Closes: #664990, #665957)
2011-12-31 - Fathi Boudra <fabo@debian.org>
libzip (0.10-1) unstable; urgency=low
* New upstream release. (Closes: #647131)
* Add patches:
- fix_open_nonarchive_test.patch
- fix_zipconf_path.patch
* Update debian/compat: bump to 8.
* Update debian/rules:
- build depends on dh-autoreconf.
- bump debhelper build dependency to 8.0.0.
- bump Standards-Version to 3.9.0 - no changes needed.
- rename libzip1 to libzip2 (bump soname).
* Update debian/rules:
- use dh with autoreconf.
- drop override_dh_auto_test.
* Update debian/*.install files.
2010-03-24 - Fathi Boudra <fabo@debian.org>
libzip (0.9.3-1) unstable; urgency=low
* New upstream release. (Closes: #567769)
* Drop patch to support archives with 64k entries - stolen upstream.
* Add libzip1 symbols file.
* Switch to dpkg-source 3.0 (quilt) format:
- drop quilt build dependency.
* Switch to dh:
- drop cdbs build dependency.
- bump debhelper build dependency version to 7.4.15.
- enable parallel build (pass --parallel option to dh).
* Bump Standards-Version to 3.8.4 (no changes needed).
* Update debian/copyright file:
- upstream contact e-mail, years and explicit GPL version.
2009-07-28 - Fathi Boudra <fabo@debian.org>
libzip (0.9-3) unstable; urgency=low
* Add patch to support archives with 64k entries. (Closes: #536215)
Thanks to Dieter Baron.
2009-07-25 - Fathi Boudra <fabo@debian.org>
libzip (0.9-2) unstable; urgency=low
* Fix shlibs. (Closes: #537954)

See Also

Package Description
zipper.app_1.5-1_amd64.deb Archive manager for GNUstep
ziproxy_3.2.0-2+b2_amd64.deb compressing HTTP proxy server
ziptorrent_0.11.2-1.2_amd64.deb torrentzip zip archives
zita-ajbridge_0.4.0-1_amd64.deb alsa to jack bridge
zita-alsa-pcmi-utils_0.2.0-2_amd64.deb Two simple demo programs zita-alsa-pcmi library
zita-at1_0.4.0-1_amd64.deb JACK autotuner
zita-bls1_0.1.0-1_amd64.deb binaural stereo signals converter
zita-lrx_0.1.0-2_amd64.deb Command line jack application providing crossover filters
zita-mu1_0.2.0-2_amd64.deb organise stereo monitoring for Jack Audio Connection Kit
zita-njbridge_0.1.1-1_amd64.deb Jack clients to transmit multichannel audio over a local IP network
zita-resampler_1.3.0-2_amd64.deb resampler application written with libzita-resampler
zita-rev1_0.2.1-3_amd64.deb pro-audio reverb effect
zivot_20013101-3+b1_amd64.deb the game of life, simple console version
zlib-gst_3.2.4-2.1_amd64.deb Zlib bindings for GNU Smalltalk
zlib1g-dev_1.2.8.dfsg-2+b1_amd64.deb compression library - development
Advertisement
Advertisement